Bug 807342 - confusing header error w/ insufficient permission to launch
confusing header error w/ insufficient permission to launch
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Tzu-Mainn Chen
pushpesh sharma
Depends On:
  Show dependency treegraph
Reported: 2012-03-27 10:49 EDT by dgao
Modified: 2014-08-04 18:30 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 809894 (view as bug list)
Last Closed: 2012-05-15 18:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
deploy_fail (220.84 KB, image/png)
2012-03-27 10:49 EDT, dgao
no flags Details
deploy_fail_2 (206.37 KB, image/png)
2012-04-02 16:49 EDT, dgao
no flags Details

  None (edit)
Description dgao 2012-03-27 10:49:09 EDT
Created attachment 573087 [details]

Application launch failed!
Pool must be enabled

when trying to launch an instance that I don't have access to.
Comment 1 wes hayutin 2012-03-28 10:00:45 EDT
see screenshot in https://bugzilla.redhat.com/show_bug.cgi?id=807664
Comment 2 Tzu-Mainn Chen 2012-03-28 10:30:46 EDT
Patch created (adding in missing src/config/locales/defaults directory to the .spec file):

Comment 3 Tzu-Mainn Chen 2012-03-28 10:45:39 EDT
Added additional patch for master branch (previous is for 1.0-product branch):

Comment 4 Tzu-Mainn Chen 2012-03-28 11:03:43 EDT
Patches submitted.

This one is for 1.0-product:

commit f8bf08b434d1f910a0698701931524bf5abb775e
BZ 807342 added src/config/locales/defaults

And this one is for master:

commit d9dda34bcc94fd99cc6289c0ac5dd4006901a92c
BZ 807342 added src/confic/locales/defaults

The product patch is what should be applied for release.
Comment 6 wes hayutin 2012-03-30 14:55:44 EDT
assigning to dgao
Comment 7 dgao 2012-04-02 16:49:34 EDT
Created attachment 574625 [details]

Header is still confusing after patch.
Comment 8 Tzu-Mainn Chen 2012-04-02 23:49:58 EDT
Would it be possible to open a new ticket for this?  The fundamental issue here seems to be different, and I'm guessing the steps to reproduce are different as well, as the previous error was a permissions error and this appears to be a hardware profile issue.

Or if it's policy to continue with the same ticket, would it be possible to at least specify the steps to reproduce?
Comment 9 dgao 2012-04-03 10:55:17 EDT
Actually this is still a permission issue. I simply created a user with no permission to access the hardware profile or anything for that matter. Upon launching the instance, I've bumped into the issue captured by the screenshot.

Expected result: "Your account does not have sufficient permission to access the hardware profile needed to launch this instance."
Comment 10 Tzu-Mainn Chen 2012-04-03 12:10:32 EDT
Patch created:

Comment 11 pushpesh sharma 2012-04-05 02:14:18 EDT
A  user with cloud_image_admin role tries to launch the instance, standard error message is displayed "You have insufficient privileges to perform the selected action."

I feel above observation is sufficient to mark the bug as verified.
Comment 12 errata-xmlrpc 2012-05-15 18:58:52 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.